#!/bin/bash

LISTENER_LOCKFILE=/var/lib/univention-directory-listener/cache.lock
LISTENER_TIMEOUT=20
waitForListenerStop() {
	EXIT=0
	COUNTER=0
	echo -n "Waiting for listener to stop "
	while [ "$EXIT" = "0"  ] ; do
		LISTENER_PROC=$(lsof ${LISTENER_LOCKFILE})
		if [ -z "${LISTENER_PROC}" ] ; then
			EXIT=1
			echo ''
		else 
			echo -n .
			sleep 1
			COUNTER=$((COUNTER+1)) 
			if [ "$COUNTER" =  "$LISTENER_TIMEOUT" ] ; then
				echo ''
				echo Error Timeout waiting for listener to stop 1>&1
				exit 2
			fi
		fi	
	done
}

waitForListenerStart() {
	EXIT=0
	COUNTER=0
	echo -n "Waiting for listener to start "
	while [ "$EXIT" = "0"  ] ; do
		LISTENER_PROC=$(lsof ${LISTENER_LOCKFILE})
		if [ -z "${LISTENER_PROC}" ] ; then
			echo -n .
			sleep 1
			COUNTER=$((COUNTER+1)) 
			if [ "$COUNTER" =  "$LISTENER_TIMEOUT" ] ; then
				echo ''
				echo Error Timeout waiting for listener to start 1>&1
				exit 2
			fi
		else 
			EXIT=1
			echo ''
		fi	
	done
}

